Package net.sf.saxon.s9api

## Enum ValidationMode

- java.lang.Object
- - java.lang.Enum<ValidationMode>
  - - net.sf.saxon.s9api.ValidationMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ValidationMode>`

      public enum ValidationMode
      extends java.lang.Enum<ValidationMode>

  Enumeration class defining different schema validation (or construction) modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Value indication no preference: the choice is defined elsewhere
    `LAX` | Lax validation
    `PRESERVE` | Preserve existing type annotations if any
    `STRICT` | Strict validation
    `STRIP` | Remove any existing type annotations, mark as untyped

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static ValidationMode` | `get​(int number)` |
    `protected int` | `getNumber()` |
    `static ValidationMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ValidationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRICT

          public static final ValidationMode STRICT

      Strict validation

    - #### LAX

          public static final ValidationMode LAX

      Lax validation

    - #### PRESERVE

          public static final ValidationMode PRESERVE

      Preserve existing type annotations if any

    - #### STRIP

          public static final ValidationMode STRIP

      Remove any existing type annotations, mark as untyped

    - #### DEFAULT

          public static final ValidationMode DEFAULT

      Value indication no preference: the choice is defined elsewhere

  - ### Method Detail

    - #### values

          public static ValidationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationMode c : ValidationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          protected int getNumber()

    - #### get

          protected static ValidationMode get​(int number)